### Hierarchy

- ObservableModel

### Implemented by

- HistoricalModel
- RealTimeModel

## Index

### Methods

- collectionId
- createdTime
- elementAt
- maxTime
- maxVersion
- minTime
- minVersion
- modelId
- root
- session
- time
- version

## Methods

### collectionId

- collectionId(): string

- #### Returns string

### createdTime

- createdTime(): Date

- #### Returns Date

### elementAt

- elementAt(path: any): ObservableElement<any>

- #### Parameters

  - ##### path: any

  #### Returns ObservableElement<any>

### maxTime

- maxTime(): Date

- #### Returns Date

### maxVersion

- maxVersion(): number

- #### Returns number

### minTime

- minTime(): Date

- #### Returns Date

### minVersion

- minVersion(): number

- #### Returns number

### modelId

- modelId(): string

- #### Returns string

### root

- root(): ObservableObject

- #### Returns ObservableObject

### session

- session(): ConvergenceSession

- #### Returns ConvergenceSession

### time

- time(): Date

- #### Returns Date

### version

- version(): number

- #### Returns number